#!/bin/bash

set -eu

chown -R cloudron:cloudron /app/data

export TERMINUSDB_ADMIN_PASS=root
export TERMINUSDB_SERVER_PORT=3000
export TERMINUSDB_AUTOLOGIN=true
export TERMINUSDB_ENABLE_WELCOME_SCREEN=true
export TERMINUSDB_SERVER_DB_PATH=/app/data
export TERMINUSDB_HTTPS_ENABLED=false

if [[ ! -f /app/data/.initialized ]]; then
	echo "First start, initializing default database at '/app/data'"
	/usr/local/bin/gosu cloudron:cloudron /app/code/terminusdb/terminusdb store init
	touch /app/data/.initialized
	echo "Done."
fi

exec /usr/local/bin/gosu cloudron:cloudron /app/code/terminusdb/terminusdb serve

